<?php

namespace IvyWay\SlackBot;

use GuzzleHttp\Client;

class SlackBot
{
    const API_URL = 'https://slack.com/api/';

    protected $httpClient;

    public function __construct(Client $client)
    {
        $this->httpClient = $client;
    }

    /**
     * @param string $channel
     * @param string $text
     * @return \Psr\Http\Message\ResponseInterface
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function postMessage($channel,$text)
    {
        return $this->httpClient->post(self::API_URL.'chat.postMessage',[
            'headers' => [
                'content-type' => 'application/json',
                'Authorization' => 'Bearer '.config('services.slack.token'),
            ],
            'json' => [
                'channel' => $channel,
                'text' => $text,
            ],
        ]);
    }

    /**
     * @param string $text
     * @return \Psr\Http\Message\ResponseInterface
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function postMessageToFeedbacks($text)
    {
        return $this->postMessage('feedbacks',$text);
    }
}